import { defineStore } from 'pinia';
import defaultSettings from '@/settings';
import changeTheme from '@/utils/changeTheme';

const { showSettings, tagsView, fixedHeader, sidebarLogo, secondMenuPopup } = defaultSettings;

export default defineStore({
  id: 'settings',
  state: () => ({
    theme: 'blue',
    showSettings: showSettings,
    tagsView: tagsView,
    fixedHeader: fixedHeader,
    sidebarLogo: sidebarLogo,
    secondMenuPopup: secondMenuPopup
  }),
  getters: {},
  actions: {
    changeSetting({ key, value }) {
      // eslint-disable-next-line no-prototype-builtins
      if (this.hasOwnProperty(key)) {
        this[key] = value;
        // 如果是修改主题，就切换html标签的class
        if (key === 'theme') {
          changeTheme(value);
        }
      }
    }
  }
});
